package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.XM;
import com.sa.ibiz.demo.demo.service.dto.XMSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[XM] 服务对象接口
 */
public interface XMService extends IService<XM>{

	boolean update(XM et);
	boolean getDraft(XM et);
	boolean create(XM et);
		XM get(XM et);
	boolean checkKey(XM et);
	boolean remove(XM et);
    List<XM> listDefault(XMSearchFilter filter) ;
	Page<XM> searchDefault(XMSearchFilter filter);
	/**	 实体[XM] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }